%global provider        google
%global provider_sub    code
%global provider_tld    com
%global repo            log4go
%global import_path     %{provider_sub}.%{provider}.%{provider_tld}/p/%{repo}
%global rev             c3294304d93f48a37d3bed1d382882a9c2989f99
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:           golang-%{provider}%{provider_sub}-%{repo}
Version:        0
Release:        0.1.hg%{shortrev}%{?dist}
Summary:        Logging package similar to log4j for the Go programming language
License:        BSD
URL:            http://%{import_path}
Source0:        https://%{repo}.%{provider}%{provider_sub}.%{provider_tld}/archive/%{rev}.tar.gz
BuildArch:      noarch

%description
%{summary}

The goal of log4go is to be a robust, configurable, powerful logging package
to empower Go developers to debug their programs more effectively on the fly
and diagnose problems in the field without hampering their effectiveness
during development or hampering the performance of their applications.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        Logging package similar to log4j for the Go programming language
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

The goal of log4go is to be a robust, configurable, powerful logging package
to empower Go developers to debug their programs more effectively on the fly
and diagnose problems in the field without hampering their effectiveness
during development or hampering the performance of their applications. 

This package contains library source intended for 
building other packages which use p/%{repo}.

%prep
%setup -n %{repo}-%{shortrev} -q

%build

%install
install -d %{buildroot}/%{gopath}/src/%{import_path}
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}
for d in examples; do
   cp -pav $d %{buildroot}/%{gopath}/src/%{import_path}/
done


%check
GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{import_path}

%files devel
%doc LICENSE README
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/examples
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/examples/*.go
%{gopath}/src/%{import_path}/examples/*.xml

%changelog
* Wed Sep 24 2014 root - 0-0.1.hgc3294304d93f
- Initial package


